import type React from 'react';
type TreeItem = {
    id: string;
    name: string;
    level: number;
    setSize: number;
    posInSet: number;
    isExpanded?: boolean;
    type?: never;
};
type Placeholder = {
    type: 'placeholder';
};
type Item = TreeItem | Placeholder;
export type NavigationTreeData = Item[];
export declare function useVirtualNavigationTree<T extends HTMLElement = HTMLElement>({ items, activeItemId, onExpandedChange, onFocusMove, }: {
    items: NavigationTreeData;
    activeItemId: string;
    onExpandedChange(item: TreeItem, isExpanded: boolean): void;
    onFocusMove?: (item: TreeItem) => void;
}): [React.HTMLProps<T>, string | undefined];
export {};
//# sourceMappingURL=use-virtual-navigation-tree.d.ts.map